image: archlinux:latest

before_script:
    - pacman -Syu --noconfirm
    - pacman -S --noconfirm pkgconf gcc cmake extra-cmake-modules make git qt5-base meson ninja qt5-svg poppler-qt5 qt5-tools djvulibre

build_amd64:
    stage: build
    script:
      - git clone https://gitlab.com/DesQ/libdesq
      - cd libdesq;
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/DesQ/libdesqui
      - cd libdesqui;
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
      - cd ../
      - git clone https://gitlab.com/marcusbritanicus/qdocumentview
      - cd qdocumentview;
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
      - cd ../
      - meson .build --prefix=/usr --buildtype=release
      - ninja -C .build -j 4 -k 0 && ninja -C .build install
